﻿using System;
using System.Drawing;
using System.IO;
using GrapeCity.Documents.Pdf;
using GrapeCity.Documents.Pdf.Annotations;
using GrapeCity.Documents.Pdf.TextMap;

namespace RedactPDF
{
    class Program
    {
        static void Main(string[] args)
        {
            var doc = new GcPdfDocument();
            var redact = new RedactAnnotation();
            using (var fs = new FileStream(@"../../../SalesInvoice.pdf", FileMode.Open, FileAccess.Read))
            {
                doc.Load(fs);
                var page = doc.Pages[0];

                var tmap = page.GetTextMap();
                foreach (ITextLine tline in tmap)
                {

                    var rc = new RectangleF(90, 230, 122, 70);
                    redact = new RedactAnnotation()
                    {
                        Rect = rc,
                        MarkBorderColor = Color.Red,
                        MarkFillColor = Color.Yellow,
                        OverlayText = "Redacted.",
                        OverlayFillColor = Color.LightSkyBlue,
                        Page = page
                    };

                }


                doc.Redact();
                //Save the final PDF

                doc.Save("../../../RedactedFile.pdf");

            }
        }
    }
}
